<?php

// web routes  for currency
Route::prefix('{guard}/invent')->group(function () {
    Route::resource('currency', 'CurrencyResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CurrencyResourceController');
            });
            // Public routes for pages
            Route::get('invents/', 'CurrencyPublicController@index');
            Route::get('invents/{slug?}', 'CurrencyPublicController@show');
        }
    );
}

// web routes  for location
Route::prefix('{guard}/invent')->group(function () {
    Route::resource('location', 'LocationResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'LocationResourceController');
            });
            // Public routes for pages
            Route::get('invents/', 'LocationPublicController@index');
            Route::get('invents/{slug?}', 'LocationPublicController@show');
        }
    );
}

// web routes  for tax
Route::prefix('{guard}/invent')->group(function () {
    Route::resource('tax', 'TaxResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TaxResourceController');
            });
            // Public routes for pages
            Route::get('invents/', 'TaxPublicController@index');
            Route::get('invents/{slug?}', 'TaxPublicController@show');
        }
    );
}

