<?php

namespace Inventory\Invent;

use User;

class Invent
{
    /**
     * $currency object.
     */
    protected $currency;    /**
     * $location object.
     */
    protected $location;    /**
     * $tax object.
     */
    protected $tax;

    /**
     * Constructor.
     */
    public function __construct(\Inventory\Invent\Interfaces\CurrencyRepositoryInterface $currency,        \Inventory\Invent\Interfaces\LocationRepositoryInterface $location,        \Inventory\Invent\Interfaces\TaxRepositoryInterface $tax)
    {
        $this->currency = $currency;        $this->location = $location;        $this->tax = $tax;
    }

    /**
     * Returns count of invent.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.currency.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->currency->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\CurrencyUserCriteria());
        }

        $currency = $this->currency->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('invent::' . $view, compact('currency'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.location.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->location->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\LocationUserCriteria());
        }

        $location = $this->location->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('invent::' . $view, compact('location'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tax.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tax->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\TaxUserCriteria());
        }

        $tax = $this->tax->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('invent::' . $view, compact('tax'))->render();
    }
}
