<?php

namespace Inventory\Invent\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Currency policy
        'Inventory\Invent\Models\Currency' => \Inventory\Invent\Policies\CurrencyPolicy::class,// Bind Location policy
        'Inventory\Invent\Models\Location' => \Inventory\Invent\Policies\LocationPolicy::class,// Bind Tax policy
        'Inventory\Invent\Models\Tax' => \Inventory\Invent\Policies\TaxPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
